Subject: [Dime] Route-Record in responses

From: [email-masked]
Date: Fri, 15 Jun 2007 14:40:57 +0200

Hi all, 

from current work, I had to clarify the presence and use of  Route-Record 
AVPs in Diameter Responses, in particular Credit-Control-Answer messages.
Just to make sure, I double checked 3588 and Draft  3588bis-04 and as many 
AAA WG/DIME messages as I could!

And I found no clarification and reference to any recent discussion.

 I have  found text in the original drafts of 3588, but this was later 
removed - leaving the situation inconsistent (IMHO)

Applications like NASREQ and CCA have included Route-Record AVPs in their 
responses, but say nothing about the values and the processing.
 
And it is unclear to me  whether the server reflects the received list of 
Route-Record AVPs and the relays and proxies on the return path "peel off" 
the AVPs one by one
OR alternatively the server removes all Route-Record AVPs and  each agent 
adds in the identity of the Diameter peer it received the answer from in a 
new Route-Record, before forwarding the response
OR Route-Records are not used in  answers.

My best guess is that finally the conclusion had been drawn that answers 
do not include Route-Records (which leaves NASREQ and CCA up the spout)

Regards

Mike

Michael Hillier
Vodafone Group Technology
Telenet AG Rhein-Main

Mobile (Vodafone)  +49 170 5454 121

[email-masked] 
[email-masked]

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: Victor Fajardo <[email-masked]>
Date: Fri, 15 Jun 2007 09:19:48 -0400

Hi Michael,

> do not include Route-Records (which leaves NASREQ and CCA up the spout)

I agree, assuming nasreq and cca does not use route recs beyond loop 
detection. Given that, rfc3588bis-04, Sec 2.9, 7th paragraph also state 
that answers carry route-records which I'm not sure what the purpose was 
so that may need to get cleaned up as well.

regards,
victor

---

From: "Asveren, Tolga" <[email-masked]>
Date: Fri, 15 Jun 2007 09:35:12 -0400

I guess one possible use of Route-Record in the answers is to act based
on the path the request has taken after the message has been
sent/relayed by a Diameter entity; for example :

                    -----            -----
 +-----+          //     \\        //     \\         +-----+
 |     |         | Realm   |      | Realm   |        |     |
 |  A  +--------+   B       +----+   C       +-------+  D  |
 |     |         |         |      |         |        |     |
 +-----+          \\     //        \\     //         +-----+
                    -----            -----
A knows that it send the request to B but wouldn't know that it
traversed C's network. That potentially may be useful information to A,
e.g. sessions which go through C are subject to different policy in
terms of recording, charging policy etc... Sometimes, this could be
useful for troubleshooting as well. Relying on Route-Record assumes that
all entities add it with proper values but this is the best we can get I
guess.

In terms of whether Route-Record needs to be recreated on the answer
path, I would say it is a better approach that answerer includes all
Route-Record AVPs received in the answer as well. If we want to use
Route-Record only for loop detection, there is of course no need that
answers have it.

    Thanks,
    Tolga

> -----Original Message-----
> From: Victor Fajardo [mailto:[email-masked]]
> Sent: Friday, June 15, 2007 9:20 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [Dime] Route-Record in responses
> 
> Hi Michael,
> 
> Comments inline:
> 
> > Hi all,
> >
> > Just to make sure, I double checked 3588 and Draft  3588bis-04 and
as
> many
> > And it is unclear to me  whether the server reflects the received
list
> of
> > Route-Record AVPs and the relays and proxies on the return path
"peel
> off"
> > adds in the identity of the Diameter peer it received the answer
from in
> a

---

From: [email-masked]
Date: Fri, 15 Jun 2007 15:47:37 +0200

Hi Victor, all.

as you say the 7th para of 2.9 would need cleaning up,  I suspect it was 
missed when other text was removed.

Also there is an inconsistency for presence of Route-Record in ACA between 
the AVP table 10.2 (showing 0+)  and the ABNF in 9.7.2. (absent)
I presume the 0+ should be 0.  (even though the table is qualified as 
being guidelines)

regards

Mike

Victor Fajardo <[email-masked]> 
15.06.2007 15:19

To
[email-masked]
cc
[email-masked]
Subject
Re: [Dime] Route-Record in responses

Hi Michael,

regards,
victor